@use kitchen_sink::Cfg;
@use util::SmolStr;
@use crate::short_target_label;

@(cfg: &Cfg<SmolStr>)

@if let Cfg::Is(k) = cfg {
    <span class="cfg k">@short_target_label(k)</span>
}
@if let Cfg::Equal(k, v) = cfg {
    <span class="cfg k" title="@k">@if k == "target_has_atomic" || k == "target_has_atomic_equal_alignment" {atomic }@short_target_label(v)@if k == "target_pointer_width" {-bit}</span>
}
@if let Cfg::Not(cfg) = cfg {
    @if let Cfg::All(ref v) = *(*cfg) {
        <span class="cfg any" title="any">
        @for v in v {
            @if let Cfg::Not(v) = v {
                <span class="cfg any">or @:target_cfg_html(v)</span>
            } else {
                <span class="cfg not">not @:target_cfg_html(v)</span>
            }
        }
        </span>
    } else {
        <span class="cfg not">not @:target_cfg_html(cfg)</span>
    }
}
@if let Cfg::All(v) = cfg {
    <span class="cfg all" title="all">@for v in v {@:target_cfg_html(v)}</span>
}
@if let Cfg::Any(v) = cfg {
    <span class="cfg any" title="any">@for v in v {@:target_cfg_html(v)}</span>
}
